Sandboxes
Get a sandbox
GET
/
sandboxes
/
{id}
Get a sandbox
curl --request GET \
--url https://sandbox.brimble.io/sandboxes/{id} \
--header 'x-brimble-key: <api-key>'import requests
url = "https://sandbox.brimble.io/sandboxes/{id}"
headers = {"x-brimble-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-brimble-key': '<api-key>'}};
fetch('https://sandbox.brimble.io/sandboxes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Sandbox fetched",
"data": {
"id": "<string>",
"name": "<string>",
"template": "<string>",
"region": {
"id": "6a06df21cc6bef51342e199e",
"name": "eu-west",
"country": "France",
"continent": "Europe",
"enabled": true,
"type": "sandbox"
},
"specs": {
"cpu": 1000,
"memory": 1024,
"disk": 3
},
"auto_destroy": true,
"one_shot": true,
"block_outbound": true,
"egress": {
"mode": "restricted",
"allow": [
"1.1.1.1",
"api.example.com"
]
},
"persistent": true,
"created_at": "2023-11-07T05:31:56Z",
"last_activity_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"team": "<string>",
"project_environment": "<string>",
"network_updated": true,
"persistent_disk_gb": 123,
"paused_at": "2023-11-07T05:31:56Z",
"from_snapshot": "<string>",
"snapshot_frequency": "<string>",
"destroyed_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Your account-level Brimble API key. Find it in the dashboard under your profile drawer → API key (click the avatar in the sidebar). Available on paid plans only.
Path Parameters
24-char hex id of the sandbox.
Pattern:
^[a-f0-9]{24}$Last modified on July 23, 2026
Was this page helpful?
Previous
Destroy a sandboxTears down the sandbox immediately. The HTTP response is `204` once the
destroy is queued; the sandbox's `status` transitions to `destroyed`
shortly after.
Idempotent, calling DELETE on an already-destroyed sandbox is a no-op
that still returns `204`.
Attached volumes are detached but **not** deleted; they can be re-attached
to a future sandbox.
Next
⌘I
Get a sandbox
